Множественные уязвимости в Drupal Project Module

Дата публикации:
13.01.2009
Дата изменения:
13.01.2009
Всего просмотров:
2426
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Project Module 5.x
Уязвимые версии: Drupal Project Module версии до 5.x-1.3

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки типов файлов, ассоциированных с релизами проектов. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости злоумышленник должен иметь привилегии "maintain projects" и Web сервер должен быть сконфигурирован определенным образом (например, должен быть включен модуль mod_mime для Web сервера Apache).

URL производителя: drupal.org/project/project

Решение: Установите последнюю версию 5.x-1.3 с сайта производителя.

Ссылки: http://drupal.org/node/355672

или введите имя

CAPTCHA